Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 1085253002: SkScaledBitmapSampler: fix memory overwritten (Closed)

Created:
4 years, 5 months ago by Zoran Jovanovic
Modified:
4 years, 5 months ago
Reviewers:
reed, Tom Hudson, scroggo
CC:
reviews_skia.org
Base URL:
https://skia.googlesource.com/skia.git@master
Target Ref:
refs/heads/master
Project:
skia
Visibility:
Public.

Description

SkScaledBitmapSampler: fix memory overwritten Memory will be overwritten while downsampling some interlaced gif images, most commonly with odd sizes, when index of destination row stores in the current line computed from GifInterlaceIter meets: X is an integer in [0..height-1] and (X < height) && ((X - sampleSize/2) % sampleSize == 0) && ((X - sampleSize/2)/sampleSize >= height/sampleSize) Signed-off-by: Lu Tong <lu.x.tong@sonymobile.com>; BUG=skia: Committed: https://skia.googlesource.com/skia/+/9c798207b7c710148d7f2989e877a7ece62edd5e

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -1 line) Patch
M AUTHORS View 1 chunk +1 line, -0 lines 0 comments Download
M src/images/SkScaledBitmapSampler.cpp View 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 10 (3 generated)
Zoran Jovanovic
4 years, 5 months ago (2015-04-15 10:42:56 UTC) #2
Zoran Jovanovic
4 years, 5 months ago (2015-04-15 10:46:29 UTC) #4
scroggo
On 2015/04/15 10:46:29, Zoran Jovanovic wrote: The code looks good. Do you have a sample ...
4 years, 5 months ago (2015-04-15 12:02:01 UTC) #5
Zoran Jovanovic
On 2015/04/15 12:02:01, scroggo wrote: > On 2015/04/15 10:46:29, Zoran Jovanovic wrote: > > The ...
4 years, 5 months ago (2015-04-15 12:13:30 UTC) #6
scroggo
On 2015/04/15 12:13:30, Zoran Jovanovic wrote: > On 2015/04/15 12:02:01, scroggo wrote: > > On ...
4 years, 5 months ago (2015-04-16 17:45:24 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1085253002/1
4 years, 5 months ago (2015-04-16 17:45:45 UTC) #9
commit-bot: I haz the power
4 years, 5 months ago (2015-04-16 18:03:19 UTC) #10
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://skia.googlesource.com/skia/+/9c798207b7c710148d7f2989e877a7ece62edd5e

Powered by Google App Engine
This is Rietveld 408576698